Attribute VB_Name = "Module1"
' The Form's and the PictureBoxes' AutoRedraw property must be
' True and the ScaleMode must be 4 in order to co-operate with
' Text Length, Height, Width etc.
' These are done automatically by the Module ...
' If you want Text in the CommandButtons that you create, put
' it in the Tag property of the PictureBox in the form :
' {Text that you want to appear,C} without brackets    where:
' C=Center, U=Up, D=Down, L=Left, R=Right (always centered)
' UL=Up&Left, DL=Down&Left, UR=Up&Right, UL=Up&Left
' The other properties such as FontName, FontWidth, FondColor
' etc. are properties of the PictureBox itself...


' For bugs, comments or other code of mine e-mail me at :
' lamprinoudis@hotmail.com

Public XLeft, XTop

Public Function MakeButtons(Frm As Form)
Frm.Show
Frm.AutoRedraw = True
Frm.ScaleMode = 4
For Each Control In Frm.Controls
  If InStr(Control.Name, "Pic") <> 0 Then
    CtrlName = Control.Name
    Frm(CtrlName).AutoRedraw = True
    Frm(CtrlName).ScaleMode = 4
    If Frm(CtrlName).Picture = LoadPicture() Then
      Frm(CtrlName).PaintPicture Frm.Picture, 0, 0, , , Frm(CtrlName).Left, Frm(CtrlName).Top
     ' or   Frm(CtrlName).PaintPicture Frm.Image, 0, 0, , , Frm(CtrlName).Left, Frm(CtrlName).Top
    End If
    If (InStr(Frm(CtrlName).Tag, ",")) <> 0 Then
      Txt$ = Left(Frm(CtrlName).Tag, (InStr(Frm(CtrlName).Tag, ",")) - 1)
      Locate$ = Right(Frm(CtrlName).Tag, Len(Frm(CtrlName).Tag) - Len(Txt) - 1)
    Else
      Txt$ = Frm(CtrlName).Tag: Locate$ = "C"
    End If
    Call PicPrint(Frm(CtrlName), Txt$, Locate$)
  End If
Next
End Function

Public Function PicPrint(PicName As PictureBox, Txt As String, Locate As String)
PicName.Font.Bold = True
HalfWidth = PicName.TextWidth(Txt$) / 2      ' Calculate one-half width.
HalfHeight = PicName.TextHeight(Txt$) / 2    ' Calculate one-half height.
PicName.CurrentX = PicName.ScaleWidth / 2 - HalfWidth  ' Set X.
                PicName.CurrentY = PicName.ScaleHeight / 2 - HalfHeight ' Set Y.
Select Case UCase(Locate)
  Case "C", "": PicName.CurrentX = PicName.ScaleWidth / 2 - HalfWidth  ' Set X.
                PicName.CurrentY = PicName.ScaleHeight / 2 - HalfHeight ' Set Y.
  Case Is = "U": PicName.CurrentY = PicName.ScaleTop
  Case Is = "D": PicName.CurrentY = PicName.ScaleHeight - PicName.TextHeight(Txt$)
  Case Is = "L": PicName.CurrentX = PicName.ScaleLeft
  Case Is = "R": PicName.CurrentX = PicName.ScaleWidth - PicName.TextWidth(Txt$)
  Case Is = "UL": PicName.CurrentY = PicName.ScaleTop: PicName.CurrentX = PicName.ScaleLeft
  Case Is = "DR": PicName.CurrentY = PicName.ScaleHeight - PicName.TextHeight(Txt$)
                  PicName.CurrentX = PicName.ScaleWidth - PicName.TextWidth(Txt$)
  Case Is = "DL": PicName.CurrentY = PicName.ScaleHeight - PicName.TextHeight(Txt$)
                  PicName.CurrentX = PicName.ScaleLeft
  Case Is = "UR": PicName.CurrentY = PicName.ScaleTop
                  PicName.CurrentX = PicName.ScaleWidth - PicName.TextWidth(Txt$)
End Select

PicName.Print Txt$
End Function

Public Function PictureMouseDown(Frm As Form, Ctrl As Control)
XLeft = Ctrl.Left: XTop = Ctrl.Top
Ctrl.Left = Ctrl.Left + 0.2: Ctrl.Top = Ctrl.Top + 0.05
End Function

Public Function PictureMouseUp(Frm As Form, Ctrl As Control)
Ctrl.Left = XLeft: Ctrl.Top = XTop
End Function



